commit ac2b67cb07f19817261bb235d8cda332ce8e02ed
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Jun 2 00:17:36 2020 +0000

    Daily bump.

diff --git a/ChangeLog b/ChangeLog
index 659e82a2a51..252cc911947 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2020-06-01  Thomas Koenig  <tkoenig@gcc.gnu.org>
+
+	PR fortran/94361
+	* -: New file.
+
 2020-03-04  Release Manager
 
 	* GCC 8.4.0 released.
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index babac42a65f..2bd6d2b45fc 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200601
+20200602
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 240c28bfbd8..1039aa5252e 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,11 @@
+2020-06-01  Thomas Koenig  <tkoenig@gcc.gnu.org>
+
+	PR fortran/94361
+	* class.c (finalize_component): Use expr->finalized instead of
+	comp->finalized.
+	* gfortran.h (gfc_component): Remove finalized member.
+	(gfc_expr): Add it here instead.
+
 2020-05-28  Tobias Burnus  <tobias@codesourcery.com>
 	    Mark Eggleston  <markeggleston@gnu.gcc.org>
 
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 8038e5798d5..d5e5890e4ae 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,10 @@
+2020-06-01  Thomas Koenig  <tkoenig@gcc.gnu.org>
+
+	PR fortran/94361
+	* gfortran.dg/finalize_28.f90: Adjusted free counts.
+	* gfortran.dg/finalize_34.f90: Likewise.
+	* gfortran.dg/finalize_35.f90: New test.
+
 2020-05-29  Alex Coplan  <alex.coplan@arm.com>
 
 	PR target/94591

